<?php

@ini_set('pcre.backtrack_limit', 500000);

	function andre_custom_formatter( $content ) {
		$new_content = '';

		// Matches the contents and the open and closing tags
		$pattern_full = '{(\[raw\].*?\[/raw\])}is';

		// Matches just the contents
		$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';

		// Divide content into pieces
		$pieces = preg_split( $pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE );

		// Loop over pieces
		foreach ( $pieces as $piece ) {

			// Look for presence of the shortcode
			if ( preg_match( $pattern_contents, $piece, $matches ) ) {

				// Append to content (no formatting)
				$new_content .= $matches[1];
			} else {

				// Format and append to content
				$new_content .= wptexturize( wpautop( $piece ) );
			}
		}

		return $new_content;
	}	

			// Disable WordPress native formatters
			remove_filter( 'the_content', 'wpautop' );
			remove_filter( 'the_content', 'wptexturize' );

			// Apply custom formatter function
			add_filter( 'the_content', 'andre_custom_formatter', 99 );
			add_filter( 'widget_text', 'andre_custom_formatter', 99 );

/* Colomns Shortcodes */
	
function webtreats_one_third( $atts, $content = null ) {
   return '<div class="one_third">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_third', 'webtreats_one_third');

function webtreats_one_third_last( $atts, $content = null ) {
   return '<div class="one_third least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_third_last', 'webtreats_one_third_last');

function webtreats_two_third( $atts, $content = null ) {
   return '<div class="two_third">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_third', 'webtreats_two_third');

function webtreats_two_third_last( $atts, $content = null ) {
   return '<div class="two_third least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('two_third_last', 'webtreats_two_third_last');

function webtreats_one_half( $atts, $content = null ) {
   return '<div class="one_half">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_half', 'webtreats_one_half');

function webtreats_one_half_last( $atts, $content = null ) {
   return '<div class="one_half least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_half_last', 'webtreats_one_half_last');

function webtreats_one_fourth( $atts, $content = null ) {
   return '<div class="one_fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_fourth', 'webtreats_one_fourth');

function webtreats_one_fourth_last( $atts, $content = null ) {
   return '<div class="one_fourth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_fourth_last', 'webtreats_one_fourth_last');

function webtreats_three_fourth( $atts, $content = null ) {
   return '<div class="three_fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('three_fourth', 'webtreats_three_fourth');

function webtreats_three_fourth_last( $atts, $content = null ) {
   return '<div class="three_fourth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('three_fourth_last', 'webtreats_three_fourth_last');

function webtreats_one_fifth( $atts, $content = null ) {
   return '<div class="one_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_fifth', 'webtreats_one_fifth');

function webtreats_one_fifth_last( $atts, $content = null ) {
   return '<div class="one_fifth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_fifth_last', 'webtreats_one_fifth_last');

function webtreats_two_fifth( $atts, $content = null ) {
   return '<div class="two_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_fifth', 'webtreats_two_fifth');

function webtreats_two_fifth_last( $atts, $content = null ) {
   return '<div class="two_fifth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('two_fifth_last', 'webtreats_two_fifth_last');

function webtreats_three_fifth( $atts, $content = null ) {
   return '<div class="three_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('three_fifth', 'webtreats_three_fifth');

function webtreats_three_fifth_last( $atts, $content = null ) {
   return '<div class="three_fifth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('three_fifth_last', 'webtreats_three_fifth_last');

function webtreats_four_fifth( $atts, $content = null ) {
   return '<div class="four_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('four_fifth', 'webtreats_four_fifth');

function webtreats_four_fifth_last( $atts, $content = null ) {
   return '<div class="four_fifth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('four_fifth_last', 'webtreats_four_fifth_last');

function webtreats_one_sixth( $atts, $content = null ) {
   return '<div class="one_sixth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_sixth', 'webtreats_one_sixth');

function webtreats_one_sixth_last( $atts, $content = null ) {
   return '<div class="one_sixth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_sixth_last', 'webtreats_one_sixth_last');

function webtreats_five_sixth( $atts, $content = null ) {
   return '<div class="five_sixth">' . do_shortcode($content) . '</div>';
}
add_shortcode('five_sixth', 'webtreats_five_sixth');

function webtreats_five_sixth_last( $atts, $content = null ) {
   return '<div class="five_sixth least">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('five_sixth_last', 'webtreats_five_sixth_last');

































/* Spoiler Shortcodes */
function andre_spoiler( $atts, $content = null ) {
	extract( shortcode_atts( array(
			'title' => __( 'Spoiler title', 'blora-theme' ),
			'style' => 0
	), $atts ) );

	return '<div class="andrespoiler andrespoiler-open andrespoiler-style-' . $style . '"><div class="andrespoiler-title">' . $title . '</div><div class="andrespoiler-content">' . do_shortcode( $content ) . '</div></div>';
}
	
add_shortcode('spoiler', 'andre_spoiler');			



/* Google Chart */
function andre_chart_shortcode( $atts ) {
	extract(shortcode_atts(array(
	    'data' => '',
	    'colors' => '',
	    'size' => '400x200',
	    'bg' => 'ffffff',
	    'title' => '',
	    'labels' => '',
	    'advanced' => '',
	    'type' => 'pie'
	), $atts));

	switch ($type) {
		case 'line' :
			$charttype = 'lc'; break;
		case 'xyline' :
			$charttype = 'lxy'; break;
		case 'sparkline' :
			$charttype = 'ls'; break;
		case 'meter' :
			$charttype = 'gom'; break;
		case 'scatter' :
			$charttype = 's'; break;
		case 'venn' :
			$charttype = 'v'; break;
		case 'pie' :
			$charttype = 'p3'; break;
		case 'pie2d' :
			$charttype = 'p'; break;
		default :
			$charttype = $type;
		break;
	}

	if ($title) $string .= '&chtt='.$title.'';
	if ($labels) $string .= '&chl='.$labels.'';
	if ($colors) $string .= '&chco='.$colors.'';
	$string .= '&chs='.$size.'';
	$string .= '&chd=t:'.$data.'';
	$string .= '&chf='.$bg.'';

	return '<img title="'.$title.'" src="http://chart.apis.google.com/chart?cht='.$charttype.''.$string.$advanced.'" alt="'.$title.'" />';
}
add_shortcode('chart', 'andre_chart_shortcode');



/* Facebook Like */
function andre_facebook_like($atts, $content = null) {
       extract(shortcode_atts(array(), $atts));
      return '<iframe src="http://www.facebook.com/plugins/like.php?href='. $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"].'&amp;layout=standard&amp;show_faces=true&amp;width=300&amp;action=like&amp;font=lucida+grande&amp;colorscheme=light&amp;height=25" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:300px; height:25px;" allowTransparency="true"></iframe>';
}
add_shortcode("like", "andre_facebook_like");


/* Twiter Share */
function andre_tweet($atts, $content = null) {
       extract(shortcode_atts(array(), $atts));
      return '<a href="http://twitter.com/share" class="twitter-share-button" data-url="'. $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"].'" data-text="'. get_the_title() .' - '. $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"].'" data-count="horizontal">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>';
}
add_shortcode("tweet", "andre_tweet");	


/* Google Plus */
$plus1flag = false;
 
function plus1( $atts, $content=null ){
/* Author: Nicholas P. Iler
 * URL: http://www.ilertech.com/2011/06/add-google-1-to-wordpress-3-0-with-a-simple-shortcode/
 */
 
extract(shortcode_atts(array(
        'url' => '',
        'lang' => 'en-US',
        'parsetags' => 'onload',
        'count' => 'false',
        'size' => 'medium',
        'callback' => '',
 
        ), $atts));
 
    // Set global flag
    global $plus1flag;
    $plus1flag = true;
 
        // Check for $content and set to URL if not provided
        if($content != null) $url = $content;
 
    $plus1_code = '<g:plusone href='.$url.' count="$count" size="$size" callback="$callback"></g:plusone>';
 
    return $plus1_code;
}
 
// Add meta for front page ONLY and add scripts to any page with a shortcode
function addPlus1Meta(){
/* Author: Nicholas P. Iler
 * URL: http://www.ilertech.com/2011/06/add-google-1-to-wordpress-3-0-with-a-simple-shortcode/
 */
    global $plus1flag;
    if($plus1flag){
        if(is_home()){ // check for front page
            echo "<link rel='canonical' href='" . site_url() ."' />";
        }
 
        echo "
 
        <script type=\"text/javascript\">
          (function() {
            var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
            po.src = 'https://apis.google.com/js/plusone.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
          })();
        </script>
		";
    }
}
 
add_shortcode('googleplus', 'plus1');
add_action('wp_footer', 'addPlus1Meta');
	
/* Clear */
function andre_clearboth( $atts ) {
   return '<div class="clear"></div>';
}
add_shortcode('clear', 'andre_clearboth');

/* Media */
function andre_media( $atts, $content = null ) {
	extract( shortcode_atts( array(
			'url' => '',
			'width' => 450,
			'height' => 300
			), $atts ) );

	$return = '<div class="su-media">';
	$return .= ( $url ) ? andre_get_media( $url, $width, $height ) : __( 'Please specify media url', 'shortcodes-ultimate' );
	$return .= '</div>';

	return $return;
}

add_shortcode('media', 'andre_media');




function andre_line10() {
   return '<div class="clr10"></div>';
}
add_shortcode('clear10', 'andre_line10');

function andre_line20() {
   return '<div class="clr20"></div>';
}
add_shortcode('clear20', 'andre_line20');

function andre_line30() {
   return '<div class="clr30"></div>';
}
add_shortcode('clear30', 'andre_line30');

function andre_line40() {
   return '<div class="clr40"></div>';
}
add_shortcode('clear40', 'andre_line40');

function andre_line50() {
   return '<div class="clr50"></div>';
}
add_shortcode('clear50', 'andre_line50');

?>