<?php



add_action('after_setup_theme', 'my_theme_setup');
function my_theme_setup(){
    load_theme_textdomain('Andre', get_template_directory() . '/languages');
}

require_once ('admin/index.php');

require_once (TEMPLATEPATH . '/function/image.php');
require_once (TEMPLATEPATH . '/function/metaboxes.php');
require_once (TEMPLATEPATH . '/function/pagination.php');
require_once (TEMPLATEPATH . '/function/detect-mobile.php');
require_once (TEMPLATEPATH . '/function/excerpt.php');
require_once (TEMPLATEPATH . '/function/media.php');

require_once (TEMPLATEPATH . '/function/posttype.php');
//require_once (TEMPLATEPATH . '/function/metabox.php');

// Shortcodes
require_once(TEMPLATEPATH . '/function/shortcodes/shortcode.php');
require_once(TEMPLATEPATH . '/function/shortcodes/typography.php');

// TinyMCE Shortcodes Adder
require_once(TEMPLATEPATH . '/function/shortcodes/columnsadder.php');
require_once(TEMPLATEPATH . '/function/shortcodes/shortcodeadder.php');

  // Allow shortcodes in widget text
  add_filter('widget_text', 'do_shortcode');
	
	// Add RSS links to <head> section
  add_theme_support( 'automatic-feed-links' ); 
  add_theme_support( 'post-thumbnails' );	
  add_image_size('sequenceimg', 60, 128, true);	
  add_image_size('andre_show_thumb217', 325, 210, true);  
  add_image_size('andre_show_thumb135', 175, 100, true);  	
	
if ( ! isset( $content_width ) ) $content_width = 600;



	// Add RSS links to <head> section

	automatic_feed_links();

	

	// Load jQuery

	if ( !is_admin() ) {
	 wp_deregister_script('jquery');		
	 wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"), false);
     wp_register_script( 'custom-script', get_template_directory_uri() . '/bootstrap/js/bootstrap.js', array( 'jquery' ) );
     wp_register_script( 'fancybox', get_template_directory_uri() . '/js/jquery.fancybox.pack.js', array( 'jquery' ) );   
     wp_register_script( 'fancyboxmedia', get_template_directory_uri() . '/js/jquery.fancybox-media.js', array( 'jquery' ) ); 
     wp_register_script( 'flexslider', get_template_directory_uri() . '/js/jquery.flexslider.js', array( 'jquery' ) );   
     wp_register_script( 'bxslider', get_template_directory_uri() . '/js/jquery.bxslider.min.js', array( 'jquery' ) );                             
	 wp_register_script( 'filter', get_template_directory_uri() . '/js/jquery.mixitup.js', array( 'jquery' ) ); 
	 wp_register_script( 'fitvids', get_template_directory_uri() . '/js/jquery.fitvids.js', array( 'jquery' ) );	  
	 
	wp_register_script('gallery', get_template_directory_uri() . '/js/jquery.ad-gallery.js', 'jquery');		   
	wp_register_script( 'filterable', get_template_directory_uri() . '/js/filterable.js', array( 'jquery' ) );
	wp_register_script('quicksand', get_template_directory_uri() . '/js/jquery.quicksand.js', 'jquery');
	wp_register_script('easing', get_template_directory_uri() . '/js/jquery.easing.1.3.js', 'jquery');
	wp_register_script('carousel', get_template_directory_uri() . '/js/jquery.jcarousel.min.js', 'jquery'); 
	wp_register_script('slider', get_template_directory_uri() . '/js/slides.min.jquery.js', 'jquery');  

   

	   
	 wp_enqueue_script( 'jquery' );	     
     wp_enqueue_script( 'custom-script' );	   
     wp_enqueue_script( 'fancybox' );	  
     wp_enqueue_script( 'fancyboxmedia' );	 
     wp_enqueue_script( 'flexslider' );  
     wp_enqueue_script( 'bxslider' );      
//     wp_enqueue_script( 'filter' ); 
     wp_enqueue_script( 'fitvids' ); 	                    	     

//	wp_enqueue_script('filterable');
//	wp_enqueue_script('quicksand');
//	wp_enqueue_script('carousel');
//	wp_enqueue_script('easing');
//	wp_enqueue_script('slider');		 
//	wp_enqueue_script('gallery');	   

	}



		

		

		

	add_action( 'init', 'and_register_menu' );

	

	function and_register_menu() {

		register_nav_menus( array(

			'primary' => __( 'Primary Navigation', 'andre' ),

			'footernav' => __( 'Footer Navigation', 'andre' ),			

			'mobile' => __( 'Mobile Navigation', 'andre' )					

		) );

	}

	

	// Clean up the <head>

	function removeHeadLinks() {

    	remove_action('wp_head', 'rsd_link');

    	remove_action('wp_head', 'wlwmanifest_link');

    }

    add_action('init', 'removeHeadLinks');

    remove_action('wp_head', 'wp_generator');

    

    if (function_exists('register_sidebar')) {

    	register_sidebar(array(

    		'name' => 'Sidebar Widgets',

    		'id'   => 'sidebar-widgets',

    		'description'   => 'These are widgets for the sidebar.',

    		'before_widget' => '<div id="%1$s" class="widget %2$s">',

    		'after_widget'  => '</div>',

    		'before_title'  => '<h2>',

    		'after_title'   => '</h2>'

    	));

    	

    	register_sidebar(array(

    		'name' => 'Footer 1 Widgets',

    		'id'   => 'footer1-widgets',

    		'description'   => 'These are widgets for the footer.',

    		'before_widget' => '<div id="%1$s" class="widget %2$s">',

    		'after_widget'  => '</div>',

    		'before_title'  => '<h2>',

    		'after_title'   => '</h2>'

    	));



    	register_sidebar(array(

    		'name' => 'Footer 2 Widgets',

    		'id'   => 'footer2-widgets',

    		'description'   => 'These are widgets for the footer.',

    		'before_widget' => '<div id="%1$s" class="widget %2$s">',

    		'after_widget'  => '</div>',

    		'before_title'  => '<h2>',

    		'after_title'   => '</h2>'

    	));

		

    	register_sidebar(array(

    		'name' => 'Footer 3 Widgets',

    		'id'   => 'footer3-widgets',

    		'description'   => 'These are widgets for the footer.',

    		'before_widget' => '<div id="%1$s" class="widget %2$s">',

    		'after_widget'  => '</div>',

    		'before_title'  => '<h2>',

    		'after_title'   => '</h2>'

    	));

		

    	register_sidebar(array(

    		'name' => 'Footer 4 Widgets',

    		'id'   => 'footer4-widgets',

    		'description'   => 'These are widgets for the footer.',

    		'before_widget' => '<div id="%1$s" class="widget %2$s">',

    		'after_widget'  => '</div>',

    		'before_title'  => '<h2>',

    		'after_title'   => '</h2>'

    	));	

    	   	

    }







	/*--- Demo URL meta box ---*/

	

	add_action('admin_init','portfolio_meta_init');

	

	function portfolio_meta_init()

	{

		// add a meta box for WordPress 'project' type

		add_meta_box('portfolio_meta', 'Project Infos', 'portfolio_meta_setup', 'project', 'side', 'low');

	 

		// add a callback function to save any data a user enters in

		add_action('save_post','portfolio_meta_save');

	}

	

	function portfolio_meta_setup()

	{

		global $post;

	 	 

		?>

			<div class="portfolio_meta_control">

				<label>URL</label>

				<p>

					<input type="text" name="_url" value="<?php echo get_post_meta($post->ID,'_url',TRUE); ?>" style="width: 100%;" />

				</p>

			</div>

		<?php



		// create for validation

		echo '<input type="hidden" name="meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

	}

	

	function portfolio_meta_save($post_id) 

	{

		// check nonce

		if (!isset($_POST['meta_noncename']) || !wp_verify_nonce($_POST['meta_noncename'], __FILE__)) {

		return $post_id;

		}



		// check capabilities

		if ('post' == $_POST['post_type']) {

		if (!current_user_can('edit_post', $post_id)) {

		return $post_id;

		}

		} elseif (!current_user_can('edit_page', $post_id)) {

		return $post_id;

		}



		// exit on autosave

		if (defined('DOING_AUTOSAVE') == DOING_AUTOSAVE) {

		return $post_id;

		}



		if(isset($_POST['_url'])) 

		{

			update_post_meta($post_id, '_url', $_POST['_url']);

		} else 

		{

			delete_post_meta($post_id, '_url');

		}

	}

	

	/*--- #end  Demo URL meta box ---*/







function andre_taxonomy_children($type, $parent_id){

	global $wpdb;

	

	if($parent_id!='-1'){

		$res = $wpdb->get_results($wpdb->prepare("SELECT t.term_id, t.name, t.slug FROM $wpdb->terms as t LEFT JOIN $wpdb->term_taxonomy tt ON t.term_id=tt.term_id WHERE tt.taxonomy=%s AND tt.parent=%s;", $type, $parent_id));

	}else{

		$res = $wpdb->get_results($wpdb->prepare("SELECT t.term_id, t.name, t.slug FROM $wpdb->terms as t LEFT JOIN $wpdb->term_taxonomy tt ON t.term_id=tt.term_id WHERE tt.taxonomy=%s;", $type));

	}

	return $res;

}









function unregister_default_wp_widgets() {

	unregister_widget('WP_Widget_Search');

}

add_action('widgets_init', 'unregister_default_wp_widgets', 1);




if($data['theme-customwidget']>0){
  for($i=1;$i<=$data['theme-customwidget'];$i++){

    	register_sidebar(array(
    		'name' => 'Custom Widget '.$i,
    		'id'   => 'custom-'.$i,
    		'description'   => 'These are widgets for the sidebar.',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<h2>',
    		'after_title'   => '</h2>'
    	));
    	  
  
  }
}

global $customwidget;
$customwidget =  $data['theme-customwidget'];

require_once('wp-updates-theme.php');
new WPUpdatesThemeUpdater_855( 'http://wp-updates.com/api/2/theme', basename( get_template_directory() ) );
?>