<?php global $data; ?>
<?php

		$output = '';

    /* Background */		
		if ($data['theme-bg']<>'') {
      $output .= "body { background: ".$data['theme-background']." url(" . $data['theme-bg'] .") top center ".$data['theme-bgrepeat'].";}\n";	
		}else{
			$output .= "body {background:" . $data['theme-background'] .";}\n";		
		}

   				
    /* Body Typography */	
		if ($typography = $data['body_font'] ) {
			$output .= "body {\n     font-family:" . of_font_stack($typography['face']) . "; \n";
			$output .= "     font-size:" . $typography['size'] . "; \n";
			$output .= "     font-style:".$typography['style'] . "; \n";
			$output .= "     color: ".$typography['color'] . "; \n";
			$output .= "}\n";
		}

    /* Typography Link Color */	
		$output .= "a{color:".$data['theme-linkcolor']."; text-decoration:none; }	\n";
		$output .= "a:hover{color:".$data['theme-linkhovercolor']."; }\n";	
		$output .= "h1 a,h2 a,h3 a,h4 a,h5 a{color:".$data['theme-hlinkcolor']."; text-decoration:none; }	\n";
		$output .= "h1 a:hover,h2 a:hover,h3 a:hover,h4 a:hover,h5 a:hover{color:".$data['theme-hlinkhovercolor']."; }\n";	
		$output .= "h1,h2,h3,h4,h5{color:".$data['theme-hcolor']."; }\n";
		$output .= ".hsubtitle{color:".$data['theme-themecolor']."; }\n";
		
   /* Google Font */			
   $output .= "h1,h2,h3,h4,h5,#mainnav,.theme-btn,.footer-widget,#footer,#mprimary-nav,#portfolio-filter,.news-title, .news-comment, .media-readmore,  #sequence h2, #sequence h3{font-family:'".$data['title_font']."', Arial, Helvetica, sans-serif; font-weight:normal;}	\n";

   /* Title Typography */
    $output .= "h1{font-size:".$data['font_size_h1']."px;}	\n";
    $output .= "h2{font-size:".$data['font_size_h2']."px;}	\n";
    $output .= "h3{font-size:".$data['font_size_h3']."px;}	\n";    
    $output .= "h4{font-size:".$data['font_size_h4']."px;}	\n";
    $output .= "h5{font-size:".$data['font_size_h5']."px;}	\n"; 
    
    
   /* Body Background */	
   $output .= "#page-wrap,#header{background-color:".$data['theme-foreground']."; }\n";	
  
	
   /* Header Background */	
   $output .= "#header-all,#header,#mheader{background-color:".$data['theme-headerbackground']."; }\n";
    
   /* Main Navigation */	   
//   $output .= "#mainnav ul ul,#mainnav ul ul ul a{background-color:".$data['theme-headerbackground']."; }\n";   
//  $output .= "#mainnav a {color:".$data['theme-navlinkcolor']."; }\n";   
//   $output .= "#mainnav li:hover > a,#mainnav ul ul :hover > a{color:".$data['theme-navlinkhovercolor']."; }\n";
//   $output .= "#mainnav ul li.current_page_item > a,#mainnav ul li.current-menu-ancestor > a,#mainnav ul li.current-menu-item > a,#mainnav ul li.current-menu-parent > a {color:".$data['theme-navselectedhovercolor'].";}\n";	
//   $output .= "* html #mainnav ul li.current_page_item a,* html #mainnav ul li.current-menu-ancestor a,* html #mainnav ul li.current-menu-item a,* html #mainnav ul li.current-menu-parent a,* html #mainnav ul li a:hover {color:".$data['theme-navselectedhovercolor'].";}\n";	

   /* Footer */
//    $output .= "#footer,#footertop,#footer a,#footertop a{color:".$data['theme-fontcolor'].";}\n";
    $output .= "#footer{background-color:".$data['theme-footer-background']."; }\n";	
    $output .= "#footertop{background-color:".$data['theme-topfooter-background']."; }\n";	  


	

   /* Sequence Slider */	  
    $output .= "#sequence,.sequence-theme{background-color:".$data['theme-sequence-color'].";}\n";
    $output .= "#sequence{background-image:url(".$data['theme-sequence-bg'].");}\n";
		$output .= "#sequence,.sequence-theme{background-color:".$data['theme-sequence-color']."; }\n";		
if($data['theme-sequence-bg']<>''){		
		$output .= "#sequence{background-image: url(".$data['theme-sequence-bg']."); }\n";
}	
?>

<?php
		$custom_css = $data['custom_css'];
		
		if ($custom_css <> '') {
			$output .= $custom_css . "\n";
		}
		
		// Output styles
		if ($output <> '') {
			$output = "<!-- Custom Styling -->\n<style type=\"text/css\">\n" . $output . "</style>\n";
			echo $output;
		}
?>		
